package didatico.armazenamento.bancodados.pack01basico;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class ConsultaDerby
{
      public static void main(String argumentos[])
      {

        try {
          // carrega classe com implementacao para o driver
          //   neste caso o driver Clouscape/Derby
          Class.forName("org.apache.derby.jdbc.EmbeddedDriver");

          // estabelece conexao com a base de dados
          Connection conexao = DriverManager.getConnection("jdbc:derby:didatico\\armazenamento\\bancodados\\bd\\cloudscape\\bancodados", "", "");

          // cria um objeto de comandos SQL para a base
          Statement comando = conexao.createStatement();

          // aciona metodo que executa comando SQL (este metodo e especialmente usado para acesso)
          ResultSet resultado = comando.executeQuery("SELECT Titulo, Endereco, Acessos, Categoria FROM Marcadores");

          // lista o conteudo da tabela no console
          boolean temConteudo = resultado.next();
          while (temConteudo)
          {
            String titulo = resultado.getString("Titulo"),
                   endereco = resultado.getString("Endereco");
            int acessos = resultado.getInt("Acessos");
            String categoria = resultado.getString("Categoria");
            System.out.println(titulo + "; " + endereco + "; " + acessos + "; " + categoria);
            temConteudo = resultado.next();
          }

          // fecha comando
          comando.close();

          // fecha conexao
          conexao.close();

        } catch (ClassNotFoundException erro) {
          System.out.println(erro.getMessage());
        } catch (SQLException erro) {
          System.out.println("Erro no SQL: " + erro.getMessage());
        }
      }

}
