<%@ page import="java.util.NoSuchElementException"%>
<%@ page import="didatico.componente.sistema.dbframe.DataSet"%>
<%@ page import="didatico.componente.sistema.dbframe.DataObject"%>
<%@ page import="didatico.componente.sistema.reference.ApplicationContext"%>
<jsp:useBean id="context" scope="session" class="didatico.componente.sistema.reference.ApplicationContext"/>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<!-- head -->

<head>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
  <title><%=context.getTable()%> Report</title>
  <link rel="stylesheet" type="text/css" href="../default.css">
</head>

<!-- body -->

<body>

<center>

<%@ include file="../inc/subheader.jsp" %>

<!-- report table -->
<table style="width: 100%; text-align: left;" border="0">

    <!-- table title -->    
    <caption class="title"><%=context.getTable()%> Report<br><br></caption>

    <!-- table header -->
    <tr>
        <%
        String fields[] = context.getRegClass().displayFields();
        for (int f = 0; f < fields.length; f++) {%>
            <th class="header"><%=fields[f]%></th>
        <%}%>
    </tr>
    <tr>
        <%
        for (int g = 0; g < fields.length; g++) {%>
            <td style="width: 1px" background="../images/horizontal.gif"/>
        <%}%>
    </tr>

    <!-- table data -->
    <%
    DataSet set = new DataSet(context.getRegClass());

    if (set == null)
    {%>
        <tr><td class="data">Error on the <%=context.getTable()%> table query.</td></tr>
    <%}
    else
    {
        try {
            String bg = "#FFFFFF";
            while (set.hasMoreElements())
            {
                context.setRegObj((DataObject)set.nextElement());
                %>
                <tr bgcolor="<%= bg%>">
                    <jsp:include page="<%= "../" + context.getModule() + "/report-custom.jsp" %>"/>
                </tr>
                <%
                bg = (bg.charAt(1) == 'F') ? "#CCCCCC" : "#FFFFFF";
            }
        } catch (NoSuchElementException e) {%>
            <span class="error">Error: <%=e.getMessage()%></span>
        <%}
        set.close();
    }
    %>

</table>

<%@ include file="inc/return-menu.jsp" %>

</center>

</body>
</html>
