package didatico.concorrente.exercicios.questao03.versao04;

public class Servidor
{
    private Chat ultimaOrigem = null;
    
    public synchronized void enviaMensagem(
                                 String mensagem, Chat origem, Chat destino)
    {
        while (origem == ultimaOrigem)
        {
            try {
                wait();
            } catch (InterruptedException e) {
                /* nada */
            }
        }
        
        destino.recebeMensagem(mensagem, origem);
        ultimaOrigem = origem;
        notify();
    }
}
