package didatico.exercicios.lista3;

import java.util.Vector;

public class CaminhaoAlfa extends Caminhao
{
    private Vector<Pluviometro> listaPluvio;
    private int pesoTotal = 0;
	
	public CaminhaoAlfa()
    {
    	listaPluvio = new Vector<Pluviometro>();
    }

	@Override
	public boolean inserePluviometro(Pluviometro novo)
	{
		boolean inseriu = false;
		
		if (pesoTotal + novo.getPeso() <= 5000)
		{
			listaPluvio.addElement(novo);
			pesoTotal += novo.getPeso();
			inseriu = true;
		}
		
		return inseriu;
	}

	public String toString()
	{
		String resultado = "Alfa\n";
		int tamanho = listaPluvio.size();
		
		for (int p = 0; p < tamanho; p++)
			resultado += listaPluvio.elementAt(p).getTipo() + "\n";
		
		return resultado;
	}
}
