package didatico.pattern.adapter.fish;

import didatico.pattern.adapter.AbstractFactory;
import didatico.pattern.adapter.Aquarium;
import didatico.pattern.adapter.Aquatic;

public class FishFactory extends AbstractFactory
{
    public Aquatic createAquatic()
    {
        return new Fish();
    }

    public Aquarium createAquarium()
    {
        return new FishAquarium();
    }
}
