package didatico.armazenamento.bancodados.listaexercicios.lista01;

import java.io.IOException;
import java.sql.Connection;
import java.sql.Date;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.Scanner;

import didatico.armazenamento.bancodados.lib.Database;

public class L01Q01cSemTransacao
{
    public static void main(String args[])
    {
        Database banco;
        try {
            banco = Database.getInstance();
            Connection conexao = banco.getConnection();
            
            PreparedStatement comandoVenda =
                conexao.prepareStatement(
                        "INSERT INTO Venda VALUES(?,?)");

            Scanner teclado = new Scanner(System.in);
            
            System.out.println("Venda");
            System.out.println("-----");
            
            System.out.print("Digite o numero: ");
            String numeroVenda = teclado.nextLine();
            
            while (numeroVenda.length() != 0)
            {
                System.out.print("Digite a data (aaaa-mm-dd): ");
                Date dataVenda = Date.valueOf(teclado.nextLine());
                
                comandoVenda.setString(1, numeroVenda);
                comandoVenda.setDate(2, dataVenda);
                
                comandoVenda.executeUpdate();
                
                System.out.println("*** Venda realizada");

                System.out.println();
                System.out.println("Venda");
                System.out.println("-----");
                
                System.out.print("Digite o numero: ");
                numeroVenda = teclado.nextLine();
            }
            
            comandoVenda.close();

            System.out.println("*** Programa finalizado");
            
            banco.releaseConnection();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }

    }
}
