package didatico.armazenamento.bancodados.listaexercicios.lista01;

import java.io.IOException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.Scanner;

import didatico.armazenamento.bancodados.lib.Database;

public class L01Q02
{
    public static void main(String[] args)
    {
        try {
            Database banco = Database.getInstance();
            Connection conexao = banco.getConnection();
            
            aumentoPrecos(conexao);
            
            banco.releaseConnection();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
    
    public static void aumentoPrecos(Connection conexao)
           throws SQLException
    {
        Scanner teclado = new Scanner(System.in);
        
        System.out.print("Digite inicio faixa: ");
        int inicio = Integer.parseInt(teclado.nextLine());
        System.out.print("Digite fim faixa: ");
        int fim = Integer.parseInt(teclado.nextLine());
        System.out.print("Digite percentual aumento: ");
        int percentual = Integer.parseInt(teclado.nextLine());
        
        conexao.setAutoCommit(false);
        
        PreparedStatement comando = conexao.prepareStatement(
                "UPDATE Produto " +
                       "SET PrecoUnitario = PrecoUnitario * ? " +
                       "WHERE PrecoUnitario >= ? AND " +
                             "PrecoUnitario <= ?");
        
        comando.setFloat(1, (percentual / 100.0f) + 1.0f);
        comando.setInt(2, inicio);
        comando.setInt(3, fim);
        
        comando.executeUpdate();
        
        comando.close();
        
        conexao.commit();
        conexao.setAutoCommit(true);
    }
}
