CREATE TABLE Produto (
  Nome VARCHAR(80) NOT NULL,
  SaldoEstoque FLOAT,
  PrecoUnitario FLOAT,
  PRIMARY KEY(Nome)
);

CREATE TABLE Venda (
  Numero VARCHAR(6) NOT NULL,
  DataVenda DATE,
  PRIMARY KEY(Numero)
);

CREATE TABLE ItemVenda (
   NumeroVenda VARCHAR(6) NOT NULL,
   NomeProduto VARCHAR(80) NOT NULL,
   Quantidade FLOAT,
   PRIMARY KEY (NumeroVenda, NomeProduto),
   FOREIGN KEY(NumeroVenda)
     REFERENCES Venda(Numero)
       ON DELETE NO ACTION
       ON UPDATE NO ACTION,
   FOREIGN KEY(NomeProduto)
     REFERENCES Produto(Nome)
       ON DELETE NO ACTION
       ON UPDATE NO ACTION
);