package didatico.armazenamento.bancodados.listaexercicios.lista03;
import java.sql.*;

public class ConsultaMySQL
{

  public static void main(String argumentos[])
  {

    try {
      // carrega classe com implementacao para o driver
      //   neste caso o driver MySQL
      Class.forName("org.gjt.mm.mysql.Driver");

      // estabelece conexao com a base de dados
      Connection conexao = DriverManager.getConnection("jdbc:mysql://localhost:3306/sala", "root", "thelab");

      // cria um objeto de comandos SQL para a base
      Statement comando = conexao.createStatement();

      // aciona metodo que executa comando SQL (este metodo e especialmente usado para acesso)
      ResultSet resultado = comando.executeQuery("SELECT * FROM Usuarios");

      // lista o conteudo da tabela no console
      boolean temConteudo = resultado.next();
      while (temConteudo)
      {
        String identificacao = resultado.getString("Identificacao"),
               senha = resultado.getString("Senha"),
               nome = resultado.getString("Nome");
        boolean contaAtiva = resultado.getBoolean("ContaAtiva");
        
        System.out.println(identificacao + "; " + senha + "; " + nome + "; " + contaAtiva);
        temConteudo = resultado.next();
      }

      // fecha comando
      comando.close();

      // fecha conexao
      conexao.close();

    } catch (ClassNotFoundException erro) {
      System.out.println(erro.getMessage());
    } catch (SQLException erro) {
      System.out.println("Erro no SQL: " + erro.getMessage());
    }
  }

}