CREATE TABLE ContaCorrente (
    NumeroConta VARCHAR(6) NOT NULL,
    NomeCliente VARCHAR(80) NOT NULL,
    Saldo FLOAT,
    PRIMARY KEY (NumeroConta)
);

CREATE TABLE Tipos (
    CodigoMovimento VARCHAR(20),
    RotuloTipoMovimento VARCHAR(100),
    PRIMARY KEY (CodigoMovimento)
);

CREATE TABLE Movimento (
    NumeroConta VARCHAR(6) NOT NULL,
    DataMovimentacao DATE,
    ValorMovimentacao FLOAT,
    DebitoCredito VARCHAR(1),
    CodigoMovimento VARCHAR(20),
    PRIMARY KEY (NumeroConta, DataMovimentacao),
    FOREIGN KEY(NumeroConta)
        REFERENCES ContaCorrente(NumeroConta)
            ON DELETE NO ACTION
            ON UPDATE NO ACTION,
    FOREIGN KEY(CodigoMovimento)
        REFERENCES Tipos(CodigoMovimento)
            ON DELETE NO ACTION
            ON UPDATE NO ACTION
);
