package didatico.armazenamento.bancodados.pack01basico;

import java.sql.*;

public class InsereTabela
{
    public static void main(String args[])
    {
        /*
        System.out.println("BD MS Access:");
        insere("sun.jdbc.odbc.JdbcOdbcDriver", "jdbc:odbc:BancoDados", "", "");
        System.out.println();
        
        System.out.println("BD MySQL:");
        insere("org.gjt.mm.mysql.Driver", "jdbc:mysql://localhost:3306/sala", "root", "thelab");
        System.out.println();
        */
        
        System.out.println("BD Cloudscape Derby:");
        insere("org.apache.derby.jdbc.EmbeddedDriver", "jdbc:derby:didatico\\armazenamento\\bancodados\\bd\\cloudscape\\ltp", "", "");
    }
    
    public static void insere(String driver, String bd, String usuario, String senha)
    {

        try {
            // carrega classe com implementacao para o driver
            //   neste caso o driver MySQL
            Class.forName(driver);

            // estabelece conexao com a base de dados
            Connection conexao = DriverManager.getConnection(bd, usuario, senha);

            // cria um objeto de comandos SQL para a base
            Statement comando = conexao.createStatement();

            // aciona metodo que executa comando SQL (este metodo e especialmente usado para atualizacao)
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Geral', '')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Servios', 'Geral')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Acadmico', 'Geral')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Relacionamento', 'Geral')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Busca', 'Servios')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Portal', 'Servios')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Mail', 'Servios')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Vendas', 'Servios')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Universidade', 'Acadmico')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('CG', 'Acadmico')");
            comando.executeUpdate("INSERT INTO Taxonomia VALUES ('Sociedade', 'Acadmico')");

            // fecha comando
            comando.close();

            // fecha conexao
            conexao.close();

            System.out.println("Dados inseridos com sucesso");

        } catch (ClassNotFoundException erro) {
            System.out.println(erro.getMessage());
        } catch (SQLException erro) {
            System.out.println("Erro no SQL: " + erro.getMessage());
        }
    }

}
