<%@ page import="java.sql.SQLException"%>
<%@ page import="didatico.componente.sistema.dbframe.DataObject"%>
<%@ page import="didatico.componente.sistema.dbframe.exception.DataObjectException"%>
<%@ page import="didatico.componente.sistema.dbframe.exception.EmptyFieldException"%>
<%@ page import="didatico.componente.sistema.dbframe.exception.DuplicateKeyException"%>
<%@ page import="didatico.componente.sistema.reference.ApplicationContext"%>
<jsp:useBean id="context" scope="session" class="didatico.componente.sistema.reference.ApplicationContext"/>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<!-- head -->

<head>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
  <title><%=context.getTable()%> Modification</title>
  <link rel="stylesheet" type="text/css" href="../default.css">
</head>

<!-- body -->

<body>

<center>

<%@ include file="../inc/subheader.jsp" %>

<!-- delete routine -->
<%
DataObject regObj = context.getRegObj();
try {
    regObj.toObject(request);
    regObj.updateDB();
    %>
    <span class="success"><%=context.getTable()%> successfully modified</span>
    <br><br>    
    <span class="data"><a href="report.jsp">Return</a></span>
    <%
} catch (DataObjectException e) {
    if (e instanceof EmptyFieldException) {
        %>
        <span class="error">
            Error: The <%= ((EmptyFieldException)e).getFieldName() %> field is mandatory.
        </span>
        <%
    } else  if (e instanceof DuplicateKeyException) {
        %>
        <span class="error">Error: Duplicated Identifier.</span>
        <%
    } else {
        %>
        <span class="error">Error: <%=e.getMessage()%></span>
        <%
    }%>
    <br><br>    
    <span class="data">
        <a href="modify-a.jsp">Return</a>
    </span>
    <%
} catch (SQLException esql) {
    %>
    <span class="error">
        Error in <%=context.getTable()%> modification: <br>
        <%= esql.getMessage() %>
    </span>
    <%
}%>

<%@ include file="inc/return-menu.jsp" %>

</center>

</body>
</html>
