package didatico.financeiro;

public class MuitosFinanciamentosX
{
    private FinanciamentoCompostoC financiamento[];
    private int proximoLivre = 0;
    
    public MuitosFinanciamentosX(int quantidade)
    {
    	financiamento = new FinanciamentoCompostoC[quantidade];
    }
    
    public void adicionaFinanciamento(float valor, int numeroParcelas, float percentualJuros)
    {
    	if (proximoLivre < financiamento.length)
    	{
    		financiamento[proximoLivre] = new FinanciamentoCompostoC(valor, numeroParcelas, percentualJuros);
    		proximoLivre++;
    	}
    }
    
    public void adicionaFinanciamento(FinanciamentoCompostoC novoFinanciamento)
    {
    	if (proximoLivre < financiamento.length && novoFinanciamento != null)
    	{
    		financiamento[proximoLivre] = novoFinanciamento;
    		proximoLivre++;
    	}
    }
}
