package didatico.modularizacao;

import didatico.biblioteca.EntradaTecladoBasica;

/*
 * Resolucao da questao 04 da lista de modularizacao com modificacoes
 */
public class Fatorial3
{

    public static void main(String[] args)
    {
        System.out.print("Digite um limite: ");
        int limite = EntradaTecladoBasica.leiaInt();
        
        int resultados[] = variosFatoriais(limite);
        
        for (int r = 0; r < resultados.length; r++)
            System.out.println("O fatorial de " + (r+1) + " eh " +
                               resultados[r]);
    }
    
    static int[] variosFatoriais(int limite)
    {
        int resultados[] = new int[limite];
        
        for (int l = 1; l <= limite; l++)
            resultados[l-1] = fatorial(l);
        
        return resultados;
    }
    
    static int fatorial(int n)
    {
        int fat = 1;
        for (int f = 2; f <= n; f++)
            fat *= f;
        return fat;
    }
}
